import { StatsD, Tags } from 'hot-shots';
import { MetricClient } from './MetricClient';
export declare class StatsDClient extends MetricClient {
    protected statsDClient: StatsD;
    constructor(hostname: string, portNumber: number, isEnabled?: boolean, mock?: boolean);
    gaugeImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    counterImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    timeImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    histogramImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    protected appendBucketsAttribute(buckets: number[], attributes: Record<string, string>): Record<string, string>;
    protected mapAttributesToTags(attributes: Record<string, string> | undefined): Tags;
    private sanitizeAttributes;
}
