import { MetricClient } from './MetricClient';
export declare class InMemoryClient extends MetricClient {
    private metrics;
    private metricAttributes;
    constructor();
    getMetrics(): Map<string, number>;
    getMetricAttributes(): Map<string, Record<string, string>>;
    gaugeImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    counterImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    timeImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    histogramImpl(metricName: string, value: number, _buckets: number[], attributes: Record<string, string>): void;
}
