import { Namespace } from '../Namespace';
import { Metric } from './Metric';
export declare class Histogram extends Metric {
    protected defaultBuckets: number[];
    private buckets;
    constructor(namespace: Namespace, name: string, description?: string, unit?: string, buckets?: number[], attributes?: Record<string, string>);
    record(value: number, buckets?: number[], attributes?: Record<string, string>): void;
    protected resolveBuckets(buckets: number[]): number[];
}
